#
# spec file for package python-Morfessor
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Morfessor
Version:        2.0.4
Release:        lp151.1.1
Summary:        Unsupervised and semi-supervised morphological segmentation
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://github.com/aalto-speech/morfessor
Source:         https://files.pythonhosted.org/packages/source/M/Morfessor/Morfessor-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Morfessor is a tool for unsupervised and semi-supervised
morphological segmentation

%prep
%setup -q -n Morfessor-%{version}
sed -i -e '/^#!\//, 1d' morfessor/__init__.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%{python_expand export PYTHONPATH=%{buildroot}%{$python_sitelib}
$python morfessor/test/evaluation.py
}

%files %{python_files}
%doc README
%license LICENSE
%python3_only %{_bindir}/morfessor
%python3_only %{_bindir}/morfessor-evaluate
%python3_only %{_bindir}/morfessor-segment
%python3_only %{_bindir}/morfessor-train
%{python_sitelib}/*

%changelog
* Tue Nov  7 2017 toddrme2178@gmail.com
- initial version
